Page 1 of 1

demo version: problems with other pdf-versions

Posted: Thu Mar 14, 2019 2:54 pm
by Peter2
I tried some pdf-versions (1.4, 1.5, 1.7, ..) with the demo-driver, but it creates nearly always 1.4-files. I have to change the defaults in printer-settings in "system control" to get 1.5 and 1.7.

When set to PDFA-1A it creates a 1.4 ... - bug or feature?

Re: demo version: problems with other pdf-versions  SOLVED

Posted: Thu Mar 14, 2019 4:07 pm
by Ovg
It seems that PDFA/1 is based on Adobe 1.4

https://en.wikipedia.org/wiki/PDF/A

Re: demo version: problems with other pdf-versions

Posted: Fri Mar 15, 2019 10:52 am
by Tracker Supp-Stefan
Hello Peter,

Yes - PDF/A is based on 1.4 spec, and this is usually the specification varsion sufficient for almost all files.
Unless there is e.g. higher security restriction placed (256 bit keys), or e.g. some transparency - in most cases you do not need a version of the PDF file higher than 1.4. Our drivers will always by default try to create the file with the lowest possible PDF specification version so that the widest range of PDF readers could display it later, and higher versions are used only when a feature has to be implemented that is not supported by the earlier ones.

Regards,
Stefan

Re: demo version: problems with other pdf-versions

Posted: Fri Mar 15, 2019 1:57 pm
by Peter2
Thanks to both - it's clear now.

@Stefan:
Sometimes we will use transparency from CAD and GIS - is there a "cooking recipe" for best results?

Re: demo version: problems with other pdf-versions

Posted: Fri Mar 15, 2019 3:20 pm
by Will - Tracker Supp
Hi Peter,

Setting a higher PDF Spec. version should be sufficient. The lower the version, the more 'universal' the document produced, but the fewer features of the PDF format available (to put it very simplistically). You can try e.g. 1.5 or 1.6 and it should be fine. Most modern readers are fully capable of working with higher spec. documents.

Cheers,